Cantera 2.6.0

Classes | Namespaces | Functions
xml.h File Reference

Classes providing support for XML data files. More...

`#include "ct_defs.h"`
Include dependency graph for xml.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | XML_Reader
| Class XML_Reader reads an XML file into an XML_Node object. More...
class | XML_Node
| Class XML_Node is a tree-based representation of the contents of an XML file. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Macros
#define | XML_INDENT 4

## Functions
XML_Node * | findXMLPhase (XML_Node *root, const std::string &phaseId)
| Search an XML_Node tree for a named phase XML_Node. More...

## Detailed Description

Classes providing support for XML data files.

These classes implement only those aspects of XML required to read, write, and manipulate CTML data files.

Definition in file xml.h.

## Macro Definition Documentation

## ◆ XML_INDENT

#define XML_INDENT 4

Definition at line 17 of file xml.h.